tlv_parser.c File Reference
GSM L3 compatible TLV parser
`#include <stdio.h>`
`#include <stdint.h>`
`#include <osmocom/core/utils.h>`
`#include <osmocom/gsm/tlv.h>`

## Functions

int | tlv_dump (struct tlv_parsed *dec)
| Dump pasred TLV structure to stdout.
int | tlv_parse_one (uint8_t *o_tag, uint16_t *o_len, const uint8_t **o_val, const struct tlv_definition *def, const uint8_t *buf, int buf_len)
| Parse a single TLV encoded IE. More...
int | tlv_parse (struct tlv_parsed *dec, const struct tlv_definition *def, const uint8_t *buf, int buf_len, uint8_t lv_tag, uint8_t lv_tag2)
| Parse an entire buffer of TLV encoded Information Elements. More...
void | tlv_def_patch (struct tlv_definition *dst, const struct tlv_definition *src)
| take a master (src) tlvdev and fill up all empty slots in 'dst'
static | __attribute__ ((constructor))

## Variables

struct tlv_definition | tvlv_att_def
struct tlv_definition | vtvlv_gan_att_def